%define name rubrica2
%define version 2.1.6
%define release %mkrel 1

Summary:   Rubrica, an address book for Gnome Environment.
Name:      %{name}
Version:   %{version}
Release:   %{release}
License:   GPL
Group:     Office
Source:    http://download.berlios.de/rubrica/%{name}-%{version}.tar.xz
URL:       http://www.nicolafragale.org
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: gtk2-devel 
BuildRequires: GConf-devel
BuildRequires: perl-XML-Parser
BuildRequires: pkgconfig
BuildRequires: gettext
BuildRequires: scrollkeeper
BuildRequires: libxml2-devel 
BuildRequires: libglade2.0_0-devel
Requires: glibc >= 2.10.1
Requires: libstdc++6 >= 4.4.1
Obsoletes: %{name} < %version


%description
An address book for GNOME Environment. 

%package devel
Summary: Address book engine
Group: Development/Libraries
Provides: %{name}-devel = %{version}-%{release}
Requires: %{name} = %{version}-%{release}

%description devel
Libral is an address book engine, developed for the addressbook rubrica. 
It allows you to create your address books and to add personal and company 
cards to them. Data managed in a personal card include personal data 
(name, surname, address, etc.), Web links, email addresses, irc uris,
telephone numbers, job information (company where the contact works,
manager, collaborator, etc.), and notes. In a company card you can manage 
Web links, email addresses, telephone numbers, and notes. 
XML is used to store data. Libral can import addressbooks from GnomeCard, 
Kaddressbook, VCard, Evolution, and CSV.
This package contains the header files, static libraries and development
documentation for %{name}.



%prep
%setup -q

%build
autoreconf -fi
%configure2_5x \
   --disable-schemas-install \
   --enable-nls

%make 

%install
rm -rf %{buildroot}
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL="1"
%makeinstall_std

install -dm 755 %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=Rubrica Addressbook
Comment=Manage contacts and addresses
Exec=%{name}
Icon=stock_addressbook.png
Terminal=false
Type=Application
Categories=GNOME;GTK;Office;X-MandrivaLinux-Office-Accessories;
StartupNotify=true
EOF


#%find_lang %{name}

rm -rf %{buildroot}%{_docdir}/rubrica2

%define schemas rubrica2

%post
%{update_menus}
%{update_scrollkeeper}
%post_install_gconf_schemas %{schemas}

%preun
%preun_uninstall_gconf_schemas %{schemas}

%postun
%{clean_scrollkeeper}
%{clean_menus}

%post devel
/sbin/ldconfig 2>/dev/null

%postun devel
/sbin/ldconfig 2>/dev/null


%clean
rm -rf %{buildroot}


%files 
%defattr(-, root, root, 0755)
%doc README ChangeLog COPYING AUTHORS NEWS TODO CREDITS
%config %{_sysconfdir}/gconf/schemas/*.schemas
%{_bindir}/*
%{_libdir}/libral.*
%{_libdir}/libral/plugins/*
%{_datadir}/rubrica2/interface/
%{_datadir}/pixmaps/rubrica2/*
%{_datadir}/applications/*.desktop
%{_datadir}/mime-info/*
%exclude %{_libdir}/*.a
%exclude %{_libdir}/*.la
%exclude %{_libdir}/libral/plugins/*.?a
%exclude %{_libdir}/libral/plugins/*.la


%files devel
%defattr(-, root, root, 0755)
%{_includedir}/libral-1.0/
%{_libdir}/libral.a
%{_libdir}/libral.so
%exclude %{_libdir}/*.la
%{_libdir}/pkgconfig/libral.pc
%{_datadir}/gtk-doc/html/libRAL/
/usr/share/locale/*

%changelog
* Thu Oct 21 2010 Sproggy <desproggster@gmail.com> 2.1.6-1pclos2010
- 2.01.6

* Tue Jan 05 2010 slick50 <lxgator@gmail.com> 2.0.8-1pclos2010
- 2.0.8

* Mon Dec 14 2009 slick50 <lxgator@gmail.com> 2.0.7-1pclos2010
- initial pkg
